/*****************************************************************************
*                                                                            *
*       MAIN.H                                                               *
*       Programme principal                                                  *
*                                                                            *
*       Laurent de Soras                                                     *
*       Eric Lalitte                                                         *
*       A1B7E                                                                *
*                                                                            *
* Tab = 3                                                                    *
*****************************************************************************/



/*\\\ CONSTANTES ET MACROS PUBLIQUES \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\*/

#define	FALSE	0
#define	TRUE	1

#define	MIN(x,y)		((x) <= (y) ? (x) : (y))
#define	MAX(x,y)		((x) >= (y) ? (x) : (y))

/* Granularite de la taille reservee pour les tableaux d'objets */
#define	MAIN_OBJECT_ARRAY_GRANUL	16



/*\\\ TYPES & STRUCTURES PUBLIQUES \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\*/



/*\\\ PROTOTYPES DES FONCTIONS PUBLIQUES \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\*/

void	MAIN_get_absolute_day (int *day_ptr, long *week_ptr, int day, int month, int year);
void  MAIN_get_date (int *day_ptr, int *month_ptr, int *year_ptr, int day, long week);



/*\\\ VARIABLES EXTERNES \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\*/

extern int	MAIN_am_start_h;
extern int	MAIN_am_start_m;
extern int	MAIN_am_length;
extern int	MAIN_pm_start_h;
extern int	MAIN_pm_start_m;
extern int	MAIN_pm_length;
extern int	MAIN_first_day;
extern int	MAIN_last_day;
extern long	MAIN_first_week;
extern long	MAIN_last_week;
extern int	MAIN_time_granularity;

extern int	MAIN_nbr_holidays;
extern int	MAIN_nbr_buildings;
extern int	MAIN_nbr_periods;
extern int	MAIN_nbr_subjects;
extern int	MAIN_nbr_sections;
extern int	MAIN_nbr_classes;
extern int	MAIN_nbr_teachers;
extern int	MAIN_nbr_rooms;
extern int	MAIN_nbr_half_days;

/* Pointeur sur les tableaux dynamiques des objets */
extern PARM_HOLIDAY	*MAIN_holiday_ptr;
extern PARM_BUILDING	*MAIN_building_ptr;
extern PARM_PERIOD	*MAIN_period_ptr;
extern PARM_SUBJECT	*MAIN_subject_ptr;
extern PARM_SECTION	*MAIN_section_ptr;
extern PARM_CLASS		*MAIN_class_ptr;
extern PARM_TEACHER	*MAIN_teacher_ptr;
extern PARM_ROOM		*MAIN_room_ptr;
extern PARM_HALF_DAY	*MAIN_half_day_ptr;
